Index: sansmodels/src/python_wrapper/WrapperGenerator.py
===================================================================
--- sansmodels/src/python_wrapper/WrapperGenerator.py	(revision 8389beb5c2f40e896e91445319bcad17e20a7662)
+++ sansmodels/src/python_wrapper/WrapperGenerator.py	(revision 318b5bbbcb046db18a8e953dccae04fc7b8a71e0)
@@ -90,4 +90,6 @@
         ## parameters with orientation
         self.orientation_params =[]
+        ## parameter with magnetism
+        self.magentic_params = []
         # Model category
         self.category = None
@@ -110,4 +112,5 @@
         rep += "  Non-Fittable parameters:     %s\n\n"% self.non_fittable
         rep += "  Orientation parameters:  %s\n\n"% self.orientation_params
+        rep += "  Magnetic parameters:  %s\n\n"% self.magnetic_params
         return rep
         
@@ -158,4 +161,13 @@
         except:
            raise 
+       
+        ## Catch parameters with orientation
+        key = "[MAGNETIC_PARAMS]"    
+        try:
+            self.magnetic_params = lineparser.readhelper( lines,key, 
+                                                    key2,key3, file= self.file)
+        except:
+           raise 
+       
         ## Catch Description
         key = "[DESCRIPTION]"
@@ -470,5 +482,6 @@
             # Catch class name
             newline = self.replaceToken(tmp_line, 
-                                        "[CPYTHONCLASS]", 'C'+self.pythonClass)
+                                        "[CPYTHONCLASS]", 
+                                        'C' + self.pythonClass)
             
             # Catch class name
@@ -502,5 +515,5 @@
                     ".__init__(self)\n        self.is_multifunc = False")
                 newline = self.replaceToken(newline, 
-                                            "[MULTIPLICITY_INFO]","None")
+                                            "[MULTIPLICITY_INFO]", "None")
 
            
@@ -508,5 +521,5 @@
             fixed_str = str(self.fixed)
             fixed_str = fixed_str.replace(', ', ',\n                      ')
-            newline = self.replaceToken(newline, "[FIXED]",fixed_str)
+            newline = self.replaceToken(newline, "[FIXED]", fixed_str)
             
             # non-fittable list details
@@ -515,6 +528,5 @@
                                         ',\n                             ')
             newline = self.replaceToken(newline, 
-                                        "[NON_FITTABLE_PARAMS]",
-                                        pars_str)
+                                        "[NON_FITTABLE_PARAMS]", pars_str)
             
             ## parameters with orientation
@@ -524,10 +536,13 @@
             newline = self.replaceToken(newline, 
                                "[ORIENTATION_PARAMS]", oriented_str)
-            
+           ## parameters with magnetism
+            newline = self.replaceToken(newline, 
+                               "[MAGNETIC_PARAMS]", str(self.magnetic_params))
+
             if self.category:
-                newline = self.replaceToken(newline,"[CATEGORY]"
-                                            ,'"' + self.category + '"')
+                newline = self.replaceToken(newline, "[CATEGORY]", 
+                                            '"' + self.category + '"')
             else:
-                newline = self.replaceToken(newline,"[CATEGORY]",
+                newline = self.replaceToken(newline, "[CATEGORY]",
                                             "None")
             
Index: sansmodels/src/python_wrapper/modelTemplate.txt
===================================================================
--- sansmodels/src/python_wrapper/modelTemplate.txt	(revision 32ea31840e6eadfbdb82c6fc6f407b98e2fb2be9)
+++ sansmodels/src/python_wrapper/modelTemplate.txt	(revision 318b5bbbcb046db18a8e953dccae04fc7b8a71e0)
@@ -70,8 +70,10 @@
         self.orientation_params = [ORIENTATION_PARAMS]
 
+        ## parameters with magnetism
+        self.magnetic_params = [MAGNETIC_PARAMS]
+
         self.category = [CATEGORY]
         self.multiplicity_info = [MULTIPLICITY_INFO]
         
-
     def __setstate__(self, state):
         """
@@ -92,5 +94,4 @@
         return self._clone([PYTHONCLASS]())   
        	
-   
     def run(self, x=0.0):
         """ 
@@ -102,5 +103,4 @@
         
         """
-        
         return [CPYTHONCLASS].run(self, x)
    
@@ -114,5 +114,4 @@
         
         """
-        
         return [CPYTHONCLASS].runXY(self, x)
         
